services:
  postgres:
    image: postgres:17
    container_name: texora_postgres
    restart: unless-stopped
    environment:
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: root
      POSTGRES_DB: texora_db
    ports:
      - "5432:5432"
    volumes:
      - texora_postgres_data:/var/lib/postgresql/data

volumes:
  texora_postgres_data:
